V3 Update Internal User Public Profile

Update an Encompass internal user’s public profile.

This API added with the 24.2 release of Encompass.

Usage Notes

  • Access Rights
    • Only administrators (admin account, Super Administrator persona, and/or Administrator persona) or non-admin users with the Settings “Organizations/User” persona can update user accounts.
    • The calling user only has access to update users within their same organization, or lower child organizations of their organization.
  • Public Profile information is accessible to consumers that use the lender's Encompass Consumer Connect website. When consumers search the site for loan officers, this information will be provided when the consumer picks the applicable loan officer from the search results.
  • To enable the public profile for a specified user, you set enabled=true.
  • Certain attributes within the public profile will use default values from the main user profile. To override those values (padlock), you set the ‘useUserValue=true’ and then provide the ‘userValue’ to use in lieu of the default value (computedValue).
Path Params
string
required

Unique identifier of the user.

Query Params
string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
boolean

Indicates if the user profile is activated or deactived.

string

RetrieveOnly. Full name of user.

firstName
object

First name of the user. Max length: 64.

lastName
object

Last name of the user. Max length: 64.

middleName
object

Middle name of the user. Max length: 64.

suffix
object

Suffix of the user. Max length: 64.

string

Job title of the user. Max length: 64.

string

Phone number one of the user. Format: ###-###-#### ####

string

Phone number two of the user. Format: ###-###-#### ####

email
object

Email address for the user. Format: ######@####.###

string

Enter user's Nationwide Mortgage Licensing System (NMLS) Loan Originator ID (NMLS number). If the user is a loan officer, this number is added to Page 3 of the 1003 application when they are assigned to the loan.

string

The first URL link for the user profile. Format: #####://###.######.###
Max length: 64.

string

The second URL link for the user profile. Format: #####://###.######.###
Max length: 64.

string

The third URL link for the user profile. Format: #####://###.######.###
Max length: 64.

string

The description for the user's profile. Max length: 1000.

Headers
string
required

Bearer token

Responses

403

Forbidden

404

Not Found

Language
URL
Response
Choose an example:
application/json